Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.rmi.CORBA
Interface StubDelegate

public interface StubDelegate

Supports delegation for method implementations in `Stub`. A delegate is an instance of a class that implements this interface and provides a replacement implementation for all the methods of `javax.rmi.CORBA.Stub`. If delegation is enabled, each stub has an associated delegate. Delegates are enabled by providing the delegate's class name as the value of the `javax.rmi.CORBA.StubClass` system property.

See Also:
  `Stub`

Method Summary
`void` | `connect(Stub self, ORB orb)` Delegation call for `Stub.connect(org.omg.CORBA.ORB)`.
`boolean` | `equals(Stub self, Object obj)` Delegation call for `Stub.equals(java.lang.Object)`.
`int` | `hashCode(Stub self)` Delegation call for `Stub.hashCode()`.
`void` | `readObject(Stub self, ObjectInputStream s)` Delegation call for `Stub.readObject(java.io.ObjectInputStream)`.
`String` | `toString(Stub self)` Delegation call for `Stub.toString()`.
`void` | `writeObject(Stub self, ObjectOutputStream s)` Delegation call for `Stub.writeObject(java.io.ObjectOutputStream)`.

Method Detail

### hashCode

    public int hashCode(Stub self)

  Delegation call for `Stub.hashCode()`.

### equals

    public boolean equals(Stub self,
                          Object obj)

  Delegation call for `Stub.equals(java.lang.Object)`.

### toString

    public String toString(Stub self)

  Delegation call for `Stub.toString()`.

### connect

    public void connect(Stub self,
                        ORB orb)
                 throws RemoteException

  Delegation call for `Stub.connect(org.omg.CORBA.ORB)`.

    `RemoteException`

### readObject

    public void readObject(Stub self,
                           ObjectInputStream s)
                    throws IOException,
                           ClassNotFoundException

  Delegation call for `Stub.readObject(java.io.ObjectInputStream)`.

    `IOException`
    `ClassNotFoundException`

### writeObject

    public void writeObject(Stub self,
                            ObjectOutputStream s)
                     throws IOException

  Delegation call for `Stub.writeObject(java.io.ObjectOutputStream)`.

    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.